Subject: Re: [PATCH v2 1/1] Documentation: networking: document ISO 15765-2:2016

From: Francesco Valla <[email-masked]>
Date: Sun, 21 Apr 2024 22:41:59 +0200

On Sat, Apr 20, 2024 at 09:51:41PM +0200, Oliver Hartkopp wrote:
> On 17.04.24 17:21, Vincent Mailhol wrote:
> 
> > If we bump the version to :2024, then I suggest to:
> > 
> >    - add a first patch in this series to update Kconfig.
> >    - add your documentation as a second patch directly with the :2024 version.
> > 
> 
> Ok.
> 
> > I can also use ISO 11898-1 as an example. Our documentation says that
> > we support ISO 11898-1:2015. The previous version: ISO 11898-1:2003 is
> > not mentioned a single time in the full kernel tree. Yet, I do not
> > think that any one was ever confused that the kernel may not be
> > compatible with ISO 11898-1:2003.
> > 
> > If you really think that there is a risk of confusion, then maybe just
> > adding a sentence to say that we support ISO 15765-2:2024 and all
> > previous versions would be enough?
> > 
> > But overall, I do not see the benefit to keep the older version.
> 
> We currently have different occurrences of the 15765-2 term:
> 
> $ git grep "15765-2"
> include/uapi/linux/can.h:#define CAN_ISOTP      6 /* ISO 15765-2 Transport
> Protocol */
> include/uapi/linux/can/isotp.h: * Definitions for isotp CAN sockets (ISO
> 15765-2:2016)
> net/can/Kconfig:        tristate "ISO 15765-2:2016 CAN transport protocol"
> net/can/Kconfig:          ISO 15765-2:2016 for 'classic' CAN and CAN FD
> frame types.
> net/can/isotp.c:/* isotp.c - ISO 15765-2 CAN transport protocol for protocol
> family CAN
> net/can/isotp.c:MODULE_DESCRIPTION("PF_CAN isotp 15765-2:2016 protocol");
> net/can/isotp.c:/* ISO 15765-2:2016 supports more than 4095 byte per ISO PDU
> as the FF_DL can
> net/can/isotp.c:/* maximum PDU size before ISO 15765-2:2016 extension was
> 4095 */
> 
> I've sent a patch to remove the ISO 15675-2 specification version/date where
> possible:
> https://lore.kernel.org/linux-can/[email-masked]/T/#u
> 
> This also makes clear where the ISO 15765-2:2016 remains helpful IMHO.
> 
> I would be fine to remove the version/date in the documentation from
> Francesco where possible too.
>

Ok, I'll follow this path (first RFC for this patch was without dates).
I'll try to send a revised v3, also with the details on the mixed
addressing, as soon as possible.

Thank you

Regards,
Francesco